## octave 4.2.1

=== debian/changelog ===
octave (4.2.1-2build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 19:13:33 +0000

octave (4.2.1-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Add missing icons in octave-common.
  * Ship AppStream metadata.
    In particular, introduce new patch d/p/appstream-upgrade-spec.patch to
    conform with most recent AppStream specification. (Closes: #825803)
  * d/copyright: use secure URL for format.
  * d/control:
    + Replace the long list of versioned Breaks with a Breaks against
      liboctave3v5.
    + Remove several unnecessary versioned dependencies.
    + Drop obsolete libcurl4-dev alternative in Build-Depends.
    + Replace libreadline{5,6}-dev by libreadline-gplv2-dev in liboctave-dev
      deps.
    + Mark octave-{common,doc,htmldoc,info} as M-A foreign.
    + Bump Standards-Version to 4.0.0.
  * octave-htmldoc: install HTML files using dh_installdocs.
    Incidentally, this implies a change in the path for this
    documentation.
  * d/rules:
    + Support the "nodoc" tag of DEB_BUILD_OPTIONS.
    + Support the "nocheck" tag of DEB_BUILD_OPTIONS.
  * Minor simplifications to {liboctave-dev,octave-common}.install.
  * d/octave.triggers: Use a -noawait type of trigger.
    So far the trigger for Octave Forge packages was implicitly of the -await
    type. Lintian now complains about this, and asks to explicitly make a choice
    between the -await and -noawait types (the latter being easier to manage for
    dpkg). Since Octave Forge packages can be configured before the trigger is
    activated, we go for the -noawait type.

  [ Rafael Laboissiere ]
  * d/control: Use cgit instead of gitweb in Vcs-Browser URL

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 30 Jun 2017 12:57:58 +0200

octave (4.2.1-1) experimental; urgency=medium

  * New upstream version 4.2.1
  * d/copyright: reflect upstream changes.
  * d/p/drop-url-to-sf-logo.patch: drop patch, no longer needed.
  * d/watch: bump to format version 4.
  * Bump to debhelper compat level 10.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 28 Feb 2017 12:28:25 +0100

octave (4.2.0-2) experimental; urgency=medium

  * d/octave.conf:
    + Use recommended __octave_config_info__ function
    + Remove deprecated package autoloading (Closes: #850002)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 03 Jan 2017 22:07:06 -0200

octave (4.2.0-1) experimental; urgency=medium

  * New upstream version 4.2.0 (Closes: #845112)
  * d/copyright: Reflect upstream changes
  * d/s/lintian-overrides: Drop unused override
  * d/octave.lintian-overrides: Drop unused overrides
  * d/u/metadata: Add citation
  * d/watch: Add .gz as a possible extension for the upstream tarball
  * d/control: (Build-)Depends on gnuplot >= 4.4
  * Bump the SONAME liboctave3v5 to liboctave4
  * Drop patches:
    + d/p/no_pdf_in_print.diff: gnuplot can now export in PDF format
    + d/p/gcc-6-abs-overload.patch: Octave compiles now with GCC v6
    + d/p/gcc-6-include-math-stdlib.patch: ditto
  * Refresh patches for new upstream version:
    + d/p/always-build-octave-jar.patch
    + d/p/drop_versioned_binaries.diff
    + d/p/hdf5-flags.patch
    + d/p/hdf5-mkoctfile.patch
    + d/p/install_libraries_publically
    + d/p/mkoctfile-mpi.diff
  * d/octave.install: Do not use dh-exec
  * d/rules: Avoid triggering the build of Bison-generated files
  * d/p/drop-url-to-sf-logo.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 27 Nov 2016 21:34:38 -0200
