=== debian/control ===
Source: octave
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissiere <rafael@debian.org>
Section: math
Priority: optional
Build-Depends: automake,
               debhelper (>= 10),
               default-jdk,
               desktop-file-utils,
               dh-exec,
               epstool,
               flex,
               gawk,
               gfortran,
               ghostscript,
               gnuplot-nox,
               javahelper,
               less,
               libarpack2-dev,
               libblas-dev,
               libcurl4-gnutls-dev,
               libfftw3-dev,
               libfltk1.3-dev,
               libfontconfig1-dev,
               libftgl-dev,
               libgl2ps-dev,
               libglpk-dev,
               libgraphicsmagick++1-dev,
               libhdf5-dev,
               liblapack-dev,
               libncurses5-dev,
               libosmesa6-dev,
               libpcre3-dev,
               libqhull-dev,
               libqrupdate-dev,
               libqscintilla2-dev,
               libqt4-dev,
               libqt4-opengl-dev,
               libreadline-dev,
               libsndfile1-dev,
               libsuitesparse-dev,
               libxft-dev,
               portaudio19-dev,
               pstoedit,
               texinfo,
               texlive-generic-recommended,
               texlive-fonts-recommended,
               texlive-latex-base,
               transfig,
               unzip,
               xauth,
               xvfb,
               zip
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-octave/octave.git
Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave.git
Homepage: http://www.octave.org/

Package: octave
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         texinfo,
         octave-common (= ${source:Version}),
         liboctave4 (= ${binary:Version})
Recommends: gnuplot-x11 | gnuplot-qt,
            libopenblas-base | libatlas3-base,
            pstoedit,
            default-jre-headless [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !mips !mipsel !sparc !sparc64],
            octave-info
Suggests: octave-doc,
          octave-htmldoc
Breaks: liboctave3v5, liboctave3, liboctave2, liboctave1
Conflicts: octave-java
Replaces: octave-java
Description: GNU Octave language for numerical computations
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 Octave can be dynamically extended with user-supplied C++ files.

Package: octave-common
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: architecture-independent files for octave
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 Octave can be dynamically extended with user-supplied C++ files.
 .
 This package provides the architecture-independent files (Octave scripts
 and other helper files).

Package: octave-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: octave,
          xpdf | pdf-viewer
Multi-Arch: foreign
Description: PDF documentation on the GNU Octave language
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the following documentation in PDF format: a reference
 card in a4, letter and legal formats, a document on the C++ classes used by
 Octave, as well as the main octave documentation which is also included in
 info format in the octave-info package.

Package: octave-htmldoc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: octave,
          lynx-cur | www-browser
Multi-Arch: foreign
Description: HTML documentation on the GNU Octave language
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the following documentation in html format: a document
 on the C++ classes used by Octave, as well as the main octave documentation
 which is also included in info format in the main Octave package.

Package: octave-info
Architecture: all
Section: doc
Depends: info,
         ${misc:Depends}
Multi-Arch: foreign
Description: GNU Info documentation on the GNU Octave language
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the following documentation in info format: a document
 on the C++ classes used by Octave, as well as the main octave documentation
 which is needed for the 'help -i foo' command within Octave.

Package: liboctave4
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Shared libraries of the GNU Octave language
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the shared libraries used by the interpreter.

Package: liboctave-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         liboctave4 (= ${binary:Version}),
         octave (= ${binary:Version}),
         libreadline-dev | libreadline-gplv2-dev,
         libncurses5-dev,
         libhdf5-dev | libhdf5-openmpi-dev | libhdf5-mpich-dev,
         libgl1-mesa-dev | libgl-dev,
         libblas-dev | libblas.so,
         liblapack-dev | liblapack.so,
         libfftw3-dev,
         gfortran,
         gcc,
         g++
Description: Development files for the GNU Octave language
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the header files and the mkoctfile script used for
 extending Octave via compiled code.
