## octave 4.2.2

=== debian/changelog ===
octave (4.2.2-1ubuntu1) bionic; urgency=medium

  * debian/patches/octave-configure-java11.patch: cherry-pick fix from
    upstream to fix Java detection with OpenJDK 10+.  Thanks to Mike Miller
    <mtmiller@debian.org> for the pointer.  LP: #1762175.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 19 Apr 2018 18:18:03 -0700

octave (4.2.2-1build1.1) bionic; urgency=medium

  * No-change rebuild to pick up OpenJDK 10/11 directory layout.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 08 Apr 2018 17:13:40 +0200

octave (4.2.2-1build1) bionic; urgency=medium

  * No-change rebuild to pick up OpenJDK 9 directory layout.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Mar 2018 13:55:38 +0800

octave (4.2.2-1) unstable; urgency=medium

  [ Mike Miller ]
  * Use secure URLs for upstream source and docs.
  * Add autopkgtest test suite

  [ Sébastien Villemot ]
  * New upstream version 4.2.2
    - octave.desktop.in: fixes repetition of Name in Comment field and start
      I10n (Closes: #889739)
  * d/copyright: reflect upstream changes.
  * Drop patches applied upstream: strncmp.patch, qscintilla-rename.patch.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 15 Mar 2018 11:43:36 +0100

octave (4.2.1-7) unstable; urgency=medium

  * Add missing Breaks+Replaces on octave-doc against octave-{info,htmldoc}.
    (Closes: #890229)
  * octave now Recommends epstool (which is used by print.m). (Closes: #889797)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 12 Feb 2018 10:39:08 +0100

octave (4.2.1-6) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Merge octave-{htmldoc,info} into octave-doc (and make them transitional).
  * octave now Suggests liboctave-dev, and liboctave-dev now Enhances octave.
  * doc-base handle for reference card is now "octave-refcard".

  [ Rafael Laboissiere ]
  * d/control:
    - Use Debian's GitLab URLs in Vcs-* headers
    - Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 11 Feb 2018 07:04:14 -0200

octave (4.2.1-5) unstable; urgency=medium

  * Disable java on powerpc, fixes FTBFS on that arch.
  * Adapt for new QScintilla library naming scheme.
    + qscintilla-rename.patch: new patch.
    + Now Build-Depends on libqscintilla2-qt5-dev.
    Thanks to Scott Kitterman (Closes: #886195)
  * Bump Standards-Version to 4.1.3.
  * Use secure URL in debian/watch.
  * Do not run debhelper in verbose mode.
  * Convert d/upstream/signing-key.pgp to .asc format.
  * Bump to debhelper compat level 11.
    Incidentally, all documentation is now under /usr/share/doc/octave.
  * No longer rename *.png files under /usr/share/info/. (Closes: #816534)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 04 Jan 2018 15:41:31 +0100

octave (4.2.1-4) unstable; urgency=medium

  * Disable java on armel, fixes FTBFS on that arch.
  * Enable java on kfreebsd-*.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 23 Sep 2017 09:35:16 +0200

octave (4.2.1-3) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/strncmp.patch: new patch, makes strncmp case-sensitive again.
    Thanks to Thierry Rascle (Closes: #867212)
  * d/rules: drop --max-parallel workaround to dh_auto_install.
    As a consequence, build-depend on debhelper ≥ 10.3.
  * Set gnuplot-qt as the preferred gnuplot alternative, also add gnuplot-nox.
  * d/control: drop useless Breaks on liboctave{1,2,3}.
  * d/watch: revert to xz format only.
    The dropping of .xz in 4.2.0 was an accident, now repaired. And if we also
    check for .gz, it takes precedence, which is not what we want.
  * Enforce generic BLAS.
    Avoids tying the binary to OpenBLAS or ATLAS.
  * No longer run the testsuite using xvfb-run.
    This fixes SIGILL with Qt5.
  * Install back the PDF files of the octave-doc package in
    /usr/share/doc/octave-doc. This fixes FTBFS with DEB_BUILD_OPTIONS=nodoc.
    The PDF will be moved again to /usr/share/doc/octave when we bump to
    debhelper compat level 11.
  * java9.patch: new patch, fixes FTBFS with Java 9. (Closes: #873996)

  [ Mike Miller ]
  * d/control: drop useless Build-Depends on libftgl-dev. (Closes: #870657)
  * d/control: Build-Depends on bison, gperf, icoutils, librsvg2-bin.
  * d/clean: List files in the source distribution that should be rebuilt.
    (Closes: #870690)
  * d/control: Build-Depend on Qt 5 libraries, drop Qt 4 equivalents.
    (Closes: #875063)
  * d/control: drop obsolete Conflicts/Replaces against octave-java.
  * d/octave.postinst: run /usr/bin/octave explicitly to build package cache.

  [ Rafael Laboissiere ]
  * d/u/metadata: Change type of reference to "manual"
  * d/u/metadata: Use BibTeX format in Author field
  * d/u/metadata: Update reference for version 4.2.0
  * d/p/add-corrcoef-function.patch: New patch
  * d/control: Bump Standards-Version to 4.1.0 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 10 Sep 2017 17:34:32 +0200
