=== debian/control ===
Source: octave
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissiere <rafael@debian.org>
Section: math
Priority: optional
Build-Depends: automake,
               bison,
               debhelper (>= 11),
               default-jdk,
               desktop-file-utils,
               dh-exec,
               epstool,
               flex,
               gawk,
               gfortran,
               ghostscript,
               gnuplot-nox,
               gperf,
               icoutils,
               javahelper,
               less,
               libarpack2-dev,
               libblas-dev,
               libcurl4-gnutls-dev,
               libfftw3-dev,
               libfltk1.3-dev,
               libfontconfig1-dev,
               libgl2ps-dev,
               libglpk-dev,
               libgraphicsmagick++1-dev,
               libhdf5-dev,
               liblapack-dev,
               libncurses5-dev,
               libosmesa6-dev,
               libpcre3-dev,
               libqhull-dev,
               libqrupdate-dev,
               libqscintilla2-qt5-dev,
               libqt5opengl5-dev,
               libreadline-dev,
               librsvg2-bin,
               libsndfile1-dev,
               libsuitesparse-dev,
               libxft-dev,
               portaudio19-dev,
               pstoedit,
               qtbase5-dev,
               qttools5-dev-tools,
               texinfo,
               texlive-generic-recommended,
               texlive-fonts-recommended,
               texlive-latex-base,
               transfig,
               unzip,
               xauth,
               zip
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave.git
Homepage: https://www.octave.org/

Package: octave
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         texinfo,
         octave-common (= ${source:Version}),
         liboctave4 (= ${binary:Version})
Recommends: gnuplot-qt | gnuplot-x11 | gnuplot-nox,
            libopenblas-base | libatlas3-base,
            pstoedit,
            epstool,
            default-jre-headless [!armel !hppa !hurd-i386 !m68k !mips !mipsel !powerpc !sparc64],
            octave-doc
Suggests: liboctave-dev
Breaks: liboctave3v5
Description: GNU Octave language for numerical computations
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 Octave can be dynamically extended with user-supplied C++ files.

Package: octave-common
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: architecture-independent files for octave
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 Octave can be dynamically extended with user-supplied C++ files.
 .
 This package provides the architecture-independent files (Octave scripts
 and other helper files).

Package: octave-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         info
Suggests: www-browser | pdf-viewer
Breaks: octave-info (<< 4.2.1-6), octave-htmldoc (<< 4.2.1-6)
Replaces: octave-info (<< 4.2.1-6), octave-htmldoc (<< 4.2.1-6)
Enhances: octave
Multi-Arch: foreign
Description: documentation of the GNU Octave language
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the following documentation in HTML, PDF and Info
 formats:
 - the main user manual
 - a document on the C++ classes used internally by Octave.
 .
 It also includes a reference card in PDF format and in a4, letter and legal
 paper sizes.
 .
 This package is required by the 'help -i' command at the Octave command-line
 and by the help documentation browser in the graphical interface.

Package: octave-htmldoc
Architecture: all
Section: oldlibs
Depends: ${misc:Depends},
         octave-doc
Multi-Arch: foreign
Description: transitional package for Octave HTML documentation
 This is a transitional dummy package for the Octave HTML
 documentation. It can be safely removed.

Package: octave-info
Architecture: all
Section: oldlibs
Depends: ${misc:Depends},
         octave-doc
Multi-Arch: foreign
Description: transitional package for Octave info documentation
 This is a transitional dummy package for the for Octave info
 documentation. It can be safely removed.

Package: liboctave4
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: shared libraries of the GNU Octave language
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the shared libraries used by the interpreter.

Package: liboctave-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         liboctave4 (= ${binary:Version}),
         octave (= ${binary:Version}),
         libreadline-dev | libreadline-gplv2-dev,
         libncurses5-dev,
         libhdf5-dev | libhdf5-openmpi-dev | libhdf5-mpich-dev,
         libgl1-mesa-dev | libgl-dev,
         libblas-dev | libblas.so,
         liblapack-dev | liblapack.so,
         libfftw3-dev,
         gfortran,
         gcc,
         g++
Enhances: octave
Description: development files for the GNU Octave language
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the header files and the mkoctfile script used for
 extending Octave via compiled code.
