=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,5 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-
-export DH_VERBOSE=1
 
 # Needed by octave-common.links
 include /usr/share/dpkg/pkg-info.mk
@@ -9,7 +7,7 @@
 export DEB_VERSION_UPSTREAM
 
 # Configure default Java paths using javahelper except on some archs.
-# hurd-i386, kfreebsd-* and sparc have gcj as default, which cause either
+# hurd-i386 and hppa have gcj as default, which cause either
 # a compilation failure (hurd-i386) or a test failure (other archs).
 # On mips and mipsel java unit tests calling openjdk-7 cause a bus error at
 # runtime.
@@ -18,7 +16,7 @@
 # build deps because it is needed for octave-common, see
 # debian/patches/always-build-octave-jar.patch).
 include /usr/share/dpkg/architecture.mk
-NO_JDK_ARCHS := hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k mips mipsel sparc sparc64
+NO_JDK_ARCHS := armel hppa hurd-i386 m68k mips mipsel powerpc sparc64
 ifneq (,$(filter $(DEB_HOST_ARCH),$(NO_JDK_ARCHS)))
 WITH_JAVA_FLAGS := --disable-java
 else
@@ -49,15 +47,14 @@
 	dh $@
 
 override_dh_auto_configure:
-	# override normal dh_auto_configure call to pass OpenMP flag to it (#631831)
-	dh_auto_configure -- --enable-openmp $(WITH_JAVA_FLAGS) $(JIT_FLAG) $(HDF5_FLAGS) $(DOC_FLAG)
-	# Avoid triggering the build of oct-gperf.h
-	touch libinterp/parse-tree/oct-gperf.h libinterp/parse-tree/oct-parse.h
+	# Enforce generic BLAS (in order to avoid tying the binary to OpenBLAS or ATLAS)
+	# Also pass OpenMP flag (#631831)
+	dh_auto_configure -- --with-blas=blas --enable-openmp $(WITH_JAVA_FLAGS) $(JIT_FLAG) $(HDF5_FLAGS) $(DOC_FLAG)
 
 # dh_auto_test tries to run "make test", so override it
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	xvfb-run make check
+	make check
 endif
 
 # override normal dh_compress call to avoid compressing .pdf files
@@ -65,25 +62,20 @@
 	dh_compress --exclude=.pdf
 
 override_dh_auto_install:
-	# Parallel install does not work as of now, so disable it
-	# (see #861627, workaround implemented in debhelper 10.3)
-	dh_auto_install --max-parallel=1
+	dh_auto_install
 	# Delete .la files (for liboctgui)
 	find debian/tmp -name '*.la' -delete
 
-# The info files have references to .png images
-# Rename them by prefixing their name with "octave-", adapt the *.info files to
-#  this new name, and ship the images under /usr/share/info
+# The info files have references to .png images, so also ship those.
+# Note that we do not install all doc/interpreter/*.png, since some are not referenced
+# when compiling the output info (using @ifnotinfo macro).
+# We used to rename them by prefixing their name with "octave-", but this was breaking some
+# info files (see #816534).
 override_dh_installinfo-indep:
 	dh_installinfo
 	for f in `grep -a src=\".*\" doc/interpreter/*.info* | sed 's/.*src="\([^"]*\)".*/\1/'`; do \
-		cp doc/interpreter/$$f debian/octave-info/usr/share/info/octave-$$f; \
-		sed -i "s/src=\"$$f\"/src=\"octave-$$f\"/g" debian/octave-info/usr/share/info/octave.info*; \
+		cp doc/interpreter/$$f debian/octave-doc/usr/share/info/; \
 	done
-
-# Handle migration to automatic debug packages
-override_dh_strip:
-	dh_strip -a --dbgsym-migration='octave-dbg (<< 4.0.1~rc2-1~)'
 
 # Strip the executable bit from the .oct files
 # Cannot be done in dh_fixperms, as then dh_strip and dh_shlibdeps don't take the
