=== debian/tests/control ===
Tests: smoke, upstream-testsuite
Depends: @,
         default-jre-headless,
         ghostscript,
         gnuplot-nox,
         octave-doc,
         shunit2,
         unzip,
         zip
Restrictions: allow-stderr
