=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://ftpmirror.gnu.org/octave/octave-([\d\.]+)\.tar\.xz
