## octave 4.4.0

=== debian/changelog ===
octave (4.4.0-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports
  * Rely again on javahelper to detect Java location
  * Re-disable java on m68k, mips, mipsel, powerpc, sparc64
  * Replace libqscintilla2-qt5-dev by libqt5scintilla2-dev in Build-Depends
  * Add libqt5sql5-sqlite in Build-Depends and in Depends (in stretch it is only
    a Recommends in the dependency chain)
  * Replace libsundials-dev by libsundials-serial-dev in Build-Depends

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 28 Jun 2018 16:02:11 +0000

octave (4.4.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 09 Jun 2018 19:54:56 +0200

octave (4.4.0-2) experimental; urgency=medium

  [ Mike Miller ]
  * Save test suite log file as an autopkgtest artifact.
  * d/t/control: Add test dependency on fonts-freefont-otf
  * assume-blas-integer-size.patch: new patch, fixes FTBFS on big endian arches.
  * d/clean: Clean generated gperf files in libgnu so they are rebuilt.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 09 Jun 2018 11:51:18 +0200

octave (4.4.0-1) experimental; urgency=medium

  * New upstream version 4.4.0
  * Simplify autopkgtest using AUTOPKGTEST_TMP.
  * Disable java again on armel.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 03 May 2018 11:17:57 +0200

octave (4.3.92-1) experimental; urgency=medium

  * New upstream version 4.3.92
  * octave-common now Recommends fonts-freefont-otf (previously was a Depends).
    It takes either a severely broken system configuration, or a user intentionally
    using a very limited Fontconfig configuration, to require fallback fonts.
  * d/copyright: reflect upstream changes.
  * Drop patches applied upstream: add_info_dir_categories, abi-bump.patch.
  * Java changes:
    + no longer rely on javahelper to detect Java location, because of #896438.
    + disable java on arches that don't have OpenJDK 9: kfreebsd-*, riscv64.
    + re-enable java on armel, m68k, mips, mipsel, powerpc, sparc64, for testing
      purposes.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 30 Apr 2018 11:33:27 +0200

octave (4.3.91-1) experimental; urgency=medium

  [ Rafael Laboissiere ]
  * d/rules: Remove the unnecessary get-orig-source target
  * d/control: Bump Standards-Version to 4.1.4

  [ Sébastien Villemot ]
  * d/watch: use pre-defined regexps for version number and archive extension.
  * New upstream version 4.3.91
    + now built by default with --enable-64 (Closes: #779943)
    + no longer fetch network resources when network disabled (Closes: #876363)
  * d/copyright: reflect upstream changes.
    d/copyright-scan-patterns.yml, d/fill.copyright.blanks.yml: new files, to
    support the updating of the copyright file with "cme update dpkg-copyright".
  * Drop patches applied upstream:
    + add-corrcoef-function.patch
    + appstream-upgrade-spec.patch
    + java9.patch
  * Add libsundials-dev to Build-Depends.
  * texinfo.patch: new patch, prevents the regeneration of texinfo.tex.
    Octave needs a version of this file newer than the one shipped with
    automake-1.15.
  * Bump SOVERSION of liboctave (4->5)
    abi-bump.patch: new patch taken from upstream, will be in the final 4.4
    release.
  * Remove unused override for JAR file in source tarball.
  * octave-common now Depends on fonts-freefont-otf for fallback fonts.

  [ Mike Miller ]
  * d/control: Add qttools5-dev to Build-Depends.
  * d/control: Remove libosmesa6-dev from Build-Depends.
    Octave now prefers Qt QOffscreenSurface to OSMesa for figures with
    visible=off.
  * d/rules: Build with the location of fonts-freefont-otf package.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 25 Apr 2018 12:10:43 +0200

octave (4.2.2-2) unstable; urgency=medium

  * Rebuild against java 9 (Closes: #894349)
  * Drop patches no longer needed:
    + hdf5-flags.patch
    + hdf5-mkoctfile.patch
    + mkoctfile-mpi.diff

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 03 Apr 2018 22:05:56 +0200
