=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: octave
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
+Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
            Rafael Laboissiere <rafael@debian.org>
 Section: math
@@ -33,21 +32,23 @@
                libhdf5-dev,
                liblapack-dev,
                libncurses5-dev,
-               libosmesa6-dev,
                libpcre3-dev,
                libqhull-dev,
                libqrupdate-dev,
-               libqscintilla2-qt5-dev,
+               libqt5scintilla2-dev,
                libqt5opengl5-dev,
                libreadline-dev,
                librsvg2-bin,
                libsndfile1-dev,
                libsuitesparse-dev,
+               libsundials-serial-dev,
                libxft-dev,
                portaudio19-dev,
                pstoedit,
                qtbase5-dev,
+               qttools5-dev,
                qttools5-dev-tools,
+               libqt5sql5-sqlite,
                texinfo,
                texlive-generic-recommended,
                texlive-fonts-recommended,
@@ -56,7 +57,7 @@
                unzip,
                xauth,
                zip
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave.git
 Homepage: https://www.octave.org/
@@ -67,7 +68,8 @@
          ${misc:Depends},
          texinfo,
          octave-common (= ${source:Version}),
-         liboctave4 (= ${binary:Version})
+         liboctave5 (= ${binary:Version}),
+         libqt5sql5-sqlite
 Recommends: gnuplot-qt | gnuplot-x11 | gnuplot-nox,
             libopenblas-base | libatlas3-base,
             pstoedit,
@@ -75,7 +77,7 @@
             default-jre-headless [!armel !hppa !hurd-i386 !m68k !mips !mipsel !powerpc !sparc64],
             octave-doc
 Suggests: liboctave-dev
-Breaks: liboctave3v5
+Breaks: liboctave3v5, liboctave4
 Description: GNU Octave language for numerical computations
  Octave is a (mostly Matlab (R) compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
@@ -86,6 +88,7 @@
 Package: octave-common
 Architecture: all
 Depends: ${misc:Depends}
+Recommends: fonts-freefont-otf
 Multi-Arch: foreign
 Description: architecture-independent files for octave
  Octave is a (mostly Matlab (R) compatible) high-level language, primarily
@@ -143,7 +146,7 @@
  This is a transitional dummy package for the for Octave info
  documentation. It can be safely removed.
 
-Package: liboctave4
+Package: liboctave5
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -162,7 +165,7 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         liboctave4 (= ${binary:Version}),
+         liboctave5 (= ${binary:Version}),
          octave (= ${binary:Version}),
          libreadline-dev | libreadline-gplv2-dev,
          libncurses5-dev,
