## octave 4.4.1

=== debian/changelog ===
octave (4.4.1-5) unstable; urgency=medium

  [ Mike Miller ]
  * bison-3.3.patch: new patch from upstream, fixes FTBFS with bison 3.3
    (Closes: #923442)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 01 Mar 2019 10:16:21 +0100

octave (4.4.1-4) unstable; urgency=medium

  * Add libglu1-mesa-dev to Build-Depends. This is necessary to have
    OpenGL support on armel and armhf (on other archs, it is pulled in by
    qtbase5-dev). Thanks to Adrian Bunk (Closes: #918616)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 08 Jan 2019 10:30:45 +0100

octave (4.4.1-3) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/README.Debian: Fix wording regarding the use of the "pkg install" command
  * d/README.Debian: Document the necessity of the "pkg load" command
    (Closes: 914373)
  * d/control: Bump Standards-Version to 4.3.0 (no changes needed)
  * Build-depend on debhelper-compat instead of using d/compat

  [ Mike Miller ]
  * Ensure that Octave includes important features
    - d/t/builtin-features: New test for builtin features.
    - d/t/control: Include builtin-features in autopkgtest suite.
    - d/rules: Call builtin-features after standard test suite.
    (Closes: #916979)

  [ Sébastien Villemot ]
  * unimplemented-functions.patch: update the list of unimplemented functions
    (Closes: #914391)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 06 Jan 2019 10:45:09 +0100

octave (4.4.1-2) unstable; urgency=medium

  [ Steffen Möller ]
  * Update metadata - added references to scientific software registries.

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 4.2.1 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 02 Oct 2018 10:12:52 +0200

octave (4.4.1-1) experimental; urgency=medium

  * New upstream version 4.4.1
    - this is no longer a release candidate (Closes: #906047)
  * Bump SOVERSION of liboctave (5→6)
  * Drop missing-inplace_edit.patch, no longer needed

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 Aug 2018 21:24:23 +0200

octave (4.4.1~rc2-3) unstable; urgency=medium

  * Re-disable java on mipsel

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 03 Aug 2018 15:03:08 +0200

octave (4.4.1~rc2-2) unstable; urgency=medium

  * Re-disable java on mips and powerpc

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 03 Aug 2018 09:25:14 +0200

octave (4.4.1~rc2-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/control: Add Rules-Requires-Root: no

  [ Sébastien Villemot ]
  * New upstream release candidate 4.4.1~rc2
    + compiles against Qt 5.11 (Closes: #904855)
  * d/copyright: reflect upstream changes
  * Drop assume-blas-integer-size.patch, no longer needed
  * missing-inplace_edit.patch: new patch, adds missing script in tarball
  * Temporarily drop Build-Depends on libsundials-dev.
    Octave 4.4 is not compatible with Sundials 3.1 (and the latter currently
    FTBFS on several architectures).
  * d/tests/smoke: adapt test for release candidates version numbers
  * Replace transfig by fig2dev in Build-Depends
  * Register info files into doc-base
  * Bump Standards-Version to 4.2.0

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 02 Aug 2018 10:19:41 +0200
