=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: automake,
                bison,
-               debhelper (>= 11),
+               debhelper-compat (= 11),
                default-jdk,
                desktop-file-utils,
                dh-exec,
@@ -18,7 +18,6 @@
                gnuplot-nox,
                gperf,
                icoutils,
-               javahelper,
                less,
                libarpack2-dev,
                libblas-dev,
@@ -28,6 +27,7 @@
                libfontconfig1-dev,
                libgl2ps-dev,
                libglpk-dev,
+               libglu1-mesa-dev,
                libgraphicsmagick++1-dev,
                libhdf5-dev,
                liblapack-dev,
@@ -35,32 +35,32 @@
                libpcre3-dev,
                libqhull-dev,
                libqrupdate-dev,
-               libqt5scintilla2-dev,
+               libqscintilla2-qt5-dev,
                libqt5opengl5-dev,
                libreadline-dev,
                librsvg2-bin,
                libsndfile1-dev,
                libsuitesparse-dev,
-               libsundials-serial-dev,
                libxft-dev,
                portaudio19-dev,
                pstoedit,
                qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools,
-               libqt5sql5-sqlite,
                texinfo,
                texlive-generic-recommended,
                texlive-fonts-recommended,
                texlive-latex-base,
-               transfig,
+               fig2dev,
                unzip,
                xauth,
                zip
-Standards-Version: 4.1.4
+Build-Conflicts: libsundials-dev
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave.git
 Homepage: https://www.octave.org/
+Rules-Requires-Root: no
 
 Package: octave
 Architecture: any
@@ -68,16 +68,15 @@
          ${misc:Depends},
          texinfo,
          octave-common (= ${source:Version}),
-         liboctave5 (= ${binary:Version}),
-         libqt5sql5-sqlite
+         liboctave6 (= ${binary:Version})
 Recommends: gnuplot-qt | gnuplot-x11 | gnuplot-nox,
             libopenblas-base | libatlas3-base,
             pstoedit,
             epstool,
-            default-jre-headless [!armel !hppa !hurd-i386 !m68k !mips !mipsel !powerpc !sparc64],
+            default-jre-headless [!armel !hppa !hurd-i386 !kfreebsd-any !mips !mipsel !powerpc !riscv64],
             octave-doc
 Suggests: liboctave-dev
-Breaks: liboctave3v5, liboctave4
+Breaks: liboctave3v5, liboctave4, liboctave5
 Description: GNU Octave language for numerical computations
  Octave is a (mostly Matlab (R) compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
@@ -146,7 +145,7 @@
  This is a transitional dummy package for the for Octave info
  documentation. It can be safely removed.
 
-Package: liboctave5
+Package: liboctave6
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -165,7 +164,7 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         liboctave5 (= ${binary:Version}),
+         liboctave6 (= ${binary:Version}),
          octave (= ${binary:Version}),
          libreadline-dev | libreadline-gplv2-dev,
          libncurses5-dev,
